/*
var t = d3.transition()
  .delay(1000)
  .duration(1000);
// Gets created, executed...and deleted since the main file is done running.
*/

function go() {
  // So create and use it immediately before it gets deleted.
  var t = d3.transition()
    .delay(1000)
    .duration(1000);

  d3.selectAll('.block')
    .transition(t)
    .style('width', '400px');

  d3.select('.a')
    .transition(t)
    .style('background-color', 'orange');
  d3.select('.b')
    .transition(t)
    .style('background-color', 'blue');
}
